<!DOCTYPE html>

<head>
    <title>HTML: FORM</title>
</head>

<body>
    <h2>HTML FORMS</h2>
    <p>Input elements that make up a form</p>

    <form>
        <label for="firstname">First Name:</label>
        <input type="text" id="firstname">

        <br />
        <br />

        <label for="lastname">Last Name:</label>
        <input type="text" id="lastname">
        </label>

        <br />
        <br />

        <label for="email">Email Address:</label>
        <input type="email" id="email">
        </label>

        <br />
        <br />

        <label for="pw">Password</label>
        <input type="password" id="pw">
        </label>

        <br />
        <br />

        <label for="mobNum">Mobile #</label>
        <input type="number" id="mobNum">
        </label>

        <br />
        <br />

        <label for="dob">Date of Birth</label>
        <input type="date" id="dob">
        </label>

        <br />
        <br />

        <label for="gen">Gender
            <select name="" id="gen">
                <option>Male</option>
                <option>Female</option>
                <option>Rather not say</option>
            </select>
        </label>

        <br />
        <br />

        <label for="comment">Comment:
            <textarea name="" id="comment" cols="30" rows="3" placeholder="Message here"></textarea>
        </label>

        <br />
        <br />

        <label>New User:
            <input type="radio">Yes
            <input type="radio">No
        </label>
    </form>

    <br />

    <label>Role:</label>

    <br />

    <input type="checkbox" input="dev">
    <label for="dev">Developer</label>
    <br />
    <input type="checkbox" input="stu">
    <label for="stu">Student</label>
    </label>

    <br />
    <br />
    <button>Submit</button>

</body>

</html>